version: '2'
services:
  khipster-app:
    image: khipster
    environment:
      - _JAVA_OPTIONS=-Xmx512m -Xms256m
      - SPRING_PROFILES_ACTIVE=prod,swagger
      - MANAGEMENT_METRICS_EXPORT_PROMETHEUS_ENABLED=true
      - SPRING_CLOUD_CONSUL_HOST=consul
      - SPRING_CLOUD_CONSUL_PORT=8500
      - SPRING_DATASOURCE_URL=jdbc:postgresql://khipster-postgresql:5432/khipster
      - JHIPSTER_SLEEP=30 # gives time for other services to boot before the application
  khipster-postgresql:
    extends:
      file: postgresql.yml
      service: khipster-postgresql
  consul:
    extends:
      file: consul.yml
      service: consul

  consul-config-loader:
    extends:
      file: consul.yml
      service: consul-config-loader
